Bug 495140 - Evolution crashes when trying to access Exchange account
Evolution crashes when trying to access Exchange account
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 17:44 EDT by Peter Fuchs
Modified: 2009-05-21 14:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 14:58:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Fuchs 2009-04-09 17:44:24 EDT
Description of problem:
When creating a new Exchange-MAPI account at first startup of Evolution, Evolution crashes

Version-Release number of selected component (if applicable):
evolution-perl-2.26.0-2.fc11.x86_64
evolution-data-server-2.26.0-1.fc11.x86_64
evolution-help-2.26.0-2.fc11.noarch
evolution-2.26.0-2.fc11.x86_64
evolution-mapi-0.26.0.1-1.fc11.x86_64
openchange-0.8.2-1.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
0. Install evolution-mapi package
1. Create new Linux account
2. Log in to account
3. Start Evolution
4. Configure Exchange-MAPI account
5. Try to authenticate
  
Actual results:
Evolution crashes

Expected result
Account should be created

Additional info:
When starting Evolution on the command line, the following output is displayed:
---< snip >---
[myuser@localhost ~]$ evolution
Xlib:  extension "Generic Event Extension" missing on display ":1001.0".
Xlib:  extension "Generic Event Extension" missing on display ":1001.0".
Xlib:  extension "Generic Event Extension" missing on display ":1001.0".
Xlib:  extension "Generic Event Extension" missing on display ":1001.0".
Xlib:  extension "Generic Event Extension" missing on display ":1001.0".
** (evolution:4787): DEBUG: Loading Exchange MAPI Plugin 

** (evolution:4787): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts 
e-data-server-ui-Message: Key file does not have group 'Passwords-ExchangeMAPI'
Create profile with myname MYDOMAIN exchange.my-company.local
libexchangemapi-Message: exchange-mapi-connection.c:2880: exchange_mapi_create_profile: lock(connect_lock)
Logging into the server... succeeded 
libexchangemapi-Message: exchange-mapi-connection.c:146: exchange_mapi_connection_close: lock(connect_lock)
libexchangemapi-Message: exchange-mapi-connection.c:149: exchange_mapi_connection_close: unlock(connect_lock)
libexchangemapi-Message: exchange-mapi-connection.c:130: exchange_mapi_connection_new: lock(connect_lock)

exchange-mapi-connection.c:75: Entering mapi_profile_load 
Loading profile myuser@MYDOMAIN 
exchange-mapi-connection.c:116: Leaving mapi_profile_load libexchangemapi-Message: exchange-mapi-connection.c:133: exchange_mapi_connection_new: unlock(connect_lock)
libexchangemapi-Message: 
exchange-mapi-connection.c:138: exchange_mapi_connection_new: Connected 
libexchangemapi-Message: exchange-mapi-folder.c:134: exchange_mapi_peek_folder_list: lock(folder_lock)

exchange-mapi-connection.c:2666: Entering exchange_mapi_get_folders_list libexchangemapi-Message: exchange-mapi-connection.c:2668: exchange_mapi_get_folders_list: lock(connect_lock)

|---+ Folder1        : (Container class: IPF.Task 3C02D70400000002) UnRead : 0 Total : 17 
|---+ Folder2        : (Container class: IPF.Note 103FFA1F00000003) UnRead : 0 Total : 62 
|---+ Folder3        : (Container class: IPF.Note 113FFA1F00000003) UnRead : 0 Total : 29 
|---+ Folder4        : (Container class: IPF.Note 123FFA1F00000003) UnRead : 0 Total : 43 (,)
|---+ Folder5        : (Container class: IPF.Note B64C992200000003) UnRead : 0 Total : 2 
|---+ Folder6        : (Container class: IPF.Note 012AB92200000003) UnRead : 0
---< snip >---

(replaced personal data)
Comment 1 Peter Fuchs 2009-04-17 01:30:46 EDT
Error does not occure anymore with current release (16.04.2009).
Comment 2 Matthew Barnes 2009-05-21 14:58:38 EDT
Thanks for the update.  Assuming this is fixed then.

Note You need to log in before you can comment on or make changes to this bug.